Adjust warehouse product item attributes and quantity

Path Parameters
  • warehouseProductItemId
    Type: stringFormat: uuid
    required
Body·
application/json
  • attributes
    Type: array object[] ·

    The product attributes to apply to the inventory product. Optional.

  • batch
    Type: string | null

    The batch to apply to the inventory product.

  • bestBeforeDate
    Type: string | nullFormat: date

    The best before date to apply to the inventory product.

  • expiryDate
    Type: string | nullFormat: date

    The expiry date to apply to the inventory product.

  • packagingDate
    Type: string | nullFormat: date

    The packaging date to apply to the inventory product.

  • particulars
    Type: string | null

    The particulars of the adjustment.

  • productionDate
    Type: string | nullFormat: date

    The production date to apply to the inventory product.

  • quantityToAdjust
    Type: numberFormat: double

    The quantity to move to the new attributes.

  • sellByDate
    Type: string | nullFormat: date

    The sell by date to apply to the inventory product.

Responses
  • 200

    OK

Request Example for post/v1/inventory-items/{warehouseProductItemId}/adjust-attributes
curl https://api.consignlyhq.com/v1/inventory-items/123e4567-e89b-12d3-a456-426614174000/adjust-attributes \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "attributes": [
    {
      "productAttributeId": "",
      "description": null
    }
  ],
  "quantityToAdjust": 1,
  "particulars": null
}'
No Body